List price plan versions
curl --request GET \
--url https://api.togai.com/v2/price_plans/{price_plan_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/v2/price_plans/{price_plan_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/v2/price_plans/{price_plan_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"supportedCurrencies": [
"<string>"
],
"id": "<string>",
"referenceId": "<string>",
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"pricingCycleConfig": {
"gracePeriod": 3,
"startOffset": {
"dayOffset": "<string>",
"monthOffset": "<string>"
},
"anniversaryCycle": true
},
"deferredRevenue": true,
"allowOngoingCycleUpdates": true
}
],
"nextToken": "<string>"
}{
"message": "<Reason message>"
}Price Plan V2
List price plan versions
List price plan versions
GET
/
v2
/
price_plans
/
{price_plan_id}
/
versions
List price plan versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
50Example:
"pp.1zYnCiM9Bpg.lv25y"
Query Parameters
Example:
"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
Example:
10
⌘I
